This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 169096 - Review Request: libmcrypt: Encryption algorithms library
Review Request: libmcrypt: Encryption algorithms library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://mcrypt.sourceforge.net/
:
Depends On:
Blocks: FE-ACCEPT 169098
  Show dependency treegraph
 
Reported: 2005-09-22 19:17 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 13:05:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2005-09-22 19:17:15 EDT
Spec Name or Url: http://www.auroralinux.org/people/spot/review/libmcrypt.spec
SRPM Name or Url: http://www.auroralinux.org/people/spot/review/libmcrypt-2.5.7-1.src.rpm
Description: 

Libmcrypt is a thread-safe library providing a uniform interface
to access several block and stream encryption algorithms.
Comment 1 Aurelien Bompard 2005-09-23 17:39:04 EDT
Wasn't there some kind of legal export restriction on mcrypt ? Has it been
resolved ? (see Cryptology item in http://fedoraproject.org/wiki/ForbiddenItems)
Comment 2 Tom "spot" Callaway 2005-09-25 17:00:58 EDT
When I audited the algorithms, I couldn't find anything.

The US cryptographic export restrictions were significantly reduced in 2000,
perhaps at one point, this would be bad, but it is now ok.
Comment 3 Konstantin Ryabitsev 2005-09-25 17:23:51 EDT
You also can't "export" a product that wasn't developed in the US. The auhtor of
mcrypt is a Greek citizen.
Comment 4 Aurelien Bompard 2005-09-26 02:22:28 EDT
Review for release 1:
* RPM name is OK
* Source libmcrypt-2.5.7.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint of libmcrypt looks OK
* rpmlint of libmcrypt-devel looks OK
* File list of libmcrypt looks OK
* File list of libmcrypt-devel looks OK
* Works with mcrypt
Comment 5 Tom "spot" Callaway 2005-09-26 11:26:07 EDT
Is this an approval? Just making sure.
Comment 6 Aurelien Bompard 2005-09-26 11:35:18 EDT
Yes (I changed the blocker bug to FE-ACCEPT)

Note You need to log in before you can comment on or make changes to this bug.